Page MenuHomePhabricator

Help panel not displayed on a page after switching from editing (VE) to reading mode
Closed, ResolvedPublicBUG REPORT

Description

  1. Go to pages where Help panel is enabled - Help, Wikipedia and respective Talk pages. Click to start edit and make sure to switch to VE.
  1. Below are two cases when the Help panel won't be displayed after switching back to the reading mode - in both cases VE is used as an editor.

(1) Click Edit and then, without any editing, click Read again - the page won't display Help panel. It needs to be reloaded to bring it back.

(2) In VE add an edit and then click Publish - the page will not display the Help panel.

Note: the same issue is present on mobile.

Event Timeline

Restricted Application added a project: Growth-Team. · View Herald TranscriptMar 4 2019, 11:12 PM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript
kostajh changed the subtype of this task from "Task" to "Bug Report".Mar 5 2019, 7:46 PM
JTannerWMF moved this task from Inbox to Upcoming Work on the Growth-Team board.Mar 5 2019, 7:46 PM
JTannerWMF added subscribers: MMiller_WMF, JTannerWMF.

Hey @MMiller_WMF we need you to prioritize this but recognize its a bug we would like to fix, if it is easy.

Etonkovidova updated the task description. (Show Details)Mar 5 2019, 10:50 PM

@JTannerWMF -- I agree that this is relatively minor, since it is probably rare that a newcomer is editing a Help or Wikipedia namespace page. But I agree that we should fix it. Let's talk about where to prioritize it during Grooming meeting.

Etonkovidova renamed this task from Help panel not displayed on a page after switching from editing to read mode to Help panel not displayed on a page after switching from editing (VE) to reading mode .Mar 7 2019, 8:04 PM
Etonkovidova updated the task description. (Show Details)
SBisson moved this task from Incoming to QA on the Growth-Team (Current Sprint) board.
Etonkovidova closed this task as Resolved.Mar 18 2019, 9:21 PM
Etonkovidova claimed this task.